package com.goafanti.common.dao;

import com.goafanti.common.model.ExpenseAccountLog;
import com.goafanti.expenseAccount.bo.OutExpenseAccountLog;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ExpenseAccountLogMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(ExpenseAccountLog record);

    int insertSelective(ExpenseAccountLog record);

    ExpenseAccountLog selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(ExpenseAccountLog record);

    int updateByPrimaryKey(ExpenseAccountLog record);

    List<OutExpenseAccountLog> selectByEaid(Integer eaid);


    void updateUseLogByUseId(@Param("id") Integer id, @Param("useId") Integer useId);

    void deleteByeaid(Integer id);

    void insertBatch(List<OutExpenseAccountLog> list);
}
